Delete File
curl --request DELETE \
--url https://api.example.com/v1/files/{id}import requests
url = "https://api.example.com/v1/files/{id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Files
Delete File
Permanently delete a file.
DELETE
/
v1
/
files
/
{id}
Delete File
Permanently delete a file from storage.
Deletion is permanent and cannot be undone. The file will be removed from storage immediately.
Path Parameters
string
required
The file ID. Example:
f_abc123xyzResponse
boolean
required
Always
true on successful deletion.Example
curl -X DELETE https://api.stashfyle.com/v1/files/f_abc123xyz \
-H "Authorization: Bearer sk_live_xxx"
await fetch('https://api.stashfyle.com/v1/files/f_abc123xyz', {
method: 'DELETE',
headers: { 'Authorization': 'Bearer sk_live_xxx' }
});
requests.delete(
'https://api.stashfyle.com/v1/files/f_abc123xyz',
headers={'Authorization': 'Bearer sk_live_xxx'}
)
Response
{
"success": true
}
Errors
| Code | Status | Description |
|---|---|---|
unauthorized | 401 | Invalid or missing API key |
not_found | 404 | File not found or already deleted |
⌘I